> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create New Fireblocks Grant Wallet

> Creates a Fireblocks vault account and asset wallet for a grant without wallets, then stores a GrantWallet.

Not available to API keys yet. It will need `wallets:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/create-new-fireblocks-grant-wallet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/create-new-fireblocks-grant-wallet:
    post:
      operationId: createNewFireblocksGrantWallet
      summary: Create New Fireblocks Grant Wallet
      description: >-
        Creates a Fireblocks vault account and asset wallet for a grant without
        wallets, then stores a GrantWallet.


        Not available to API keys yet. It will need `wallets:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateNewFireblocksGrantWalletRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateNewFireblocksGrantWalletResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateNewFireblocksGrantWalletRequest:
      type: object
      properties:
        grantID:
          type: string
        walletName:
          type: string
      required:
        - grantID
        - walletName
    CreateNewFireblocksGrantWalletResponse:
      type: object
      properties:
        success:
          type: boolean
        grantWallet:
          type:
            - object
            - 'null'
          properties:
            grantWalletID:
              type: string
            grantID:
              type: string
            roleInOrgID:
              type: string
            type:
              type: string
            address:
              type: string
            networkID:
              type: string
            walletLink:
              type:
                - string
                - 'null'
            allocation:
              type: string
          required:
            - grantWalletID
            - grantID
            - roleInOrgID
            - type
            - address
            - networkID
            - walletLink
            - allocation
      required:
        - success
        - grantWallet
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
